Assembly Instruction Step Material
The assembly instruction step material resource.
/assemblyInstructionStepMaterialList assembly instruction step materials
Retrieve a paginated list of assembly instruction step materials. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
curl --request GET \
--url 'https://rest.carbon.ms/assemblyInstructionStepMaterial?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'[
{
"id": "abc123def456",
"stepId": "xyz789",
"itemId": "xyz789",
"sortOrder": 0,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"quantity": 10
}
]/assemblyInstructionStepMaterialRetrieve a assembly instruction step material
Fetch a single assembly instruction step material by filtering on `id`.
Query parameters
idstringMatch on the assembly instruction step material's `id`, e.g. `eq.{id}`.
curl --request GET \
--url 'https://rest.carbon.ms/assemblyInstructionStepMaterial?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'{
"id": "abc123def456",
"stepId": "xyz789",
"itemId": "xyz789",
"sortOrder": 0,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"quantity": 10
}/assemblyInstructionStepMaterialCreate a assembly instruction step material
Create a new assembly instruction step material.
Body parameters
stepIdstringrequiredReferences assemblyInstructionStep.id
itemIdstringrequiredReferences item.id
quantitynumbersortOrdernumberrequiredcompanyIdstringrequiredReferences company.id
curl --request POST \
--url https://rest.carbon.ms/assemblyInstructionStepMaterial \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"stepId":"xyz789","itemId":"xyz789","sortOrder":0,"companyId":"xyz789"}'{
"id": "abc123def456",
"stepId": "xyz789",
"itemId": "xyz789",
"sortOrder": 0,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"quantity": 10
}/assemblyInstructionStepMaterialUpdate a assembly instruction step material
Update an existing assembly instruction step material, matched on `id`.
Body parameters
stepIdstringrequiredReferences assemblyInstructionStep.id
itemIdstringrequiredReferences item.id
quantitynumbersortOrdernumberrequiredcompanyIdstringrequiredReferences company.id
curl --request PATCH \
--url 'https://rest.carbon.ms/assemblyInstructionStepMaterial?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"stepId":"xyz789"}'{
"id": "abc123def456",
"stepId": "xyz789",
"itemId": "xyz789",
"sortOrder": 0,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"quantity": 10
}/assemblyInstructionStepMaterialDelete a assembly instruction step material
Delete a assembly instruction step material, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the assembly instruction step material to delete, e.g. `eq.{id}`.
curl --request DELETE \
--url 'https://rest.carbon.ms/assemblyInstructionStepMaterial?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'